/***************************************************************************
 *
 * Copyright (c) 2002 Promise Technology, Inc.  All rights reserved.
 * No part of this document may be reproduced or transmitted in any form or
 * by any means, electronic or mechanical, for any purpose, without the
 * express written permission of Promise Technology, Inc.
 *
 *
 * cam_import.h - function prototypes from others
 *
 ***************************************************************************/
extern void camCheckDriveStatus(U8 bChannelNumber, U8 bID, U8 Status);

extern void camOutPortByte(PTR_SIZE port, U8 data);
extern U8 camInPortByte(PTR_SIZE port);
extern void camOutPortWord(PTR_SIZE port, U16 data);
extern U16 camInPortWord(PTR_SIZE port);
extern void camOutPortDword(PTR_SIZE port, U32 data);
extern U32 camInPortDword(PTR_SIZE port);
extern void camWriteRegByte(PTR_SIZE addr, U8 data);
extern U8 camReadRegByte(PTR_SIZE addr);
extern void camWriteRegWord(PTR_SIZE addr, U16 data);
extern U16 camReadRegWord(PTR_SIZE addr);
extern void camWriteRegDword(PTR_SIZE addr, U32 data);
extern U32 camReadRegDword(PTR_SIZE addr);
extern void camStallExecution(U32 Delay);
extern void camUStallExecution(U32 Delay);
extern PTR_SIZE camTimer(U8 AdapterNumber,U32 Delay, void (FARPTR *TimerService)(void));

#ifdef _DEBUG
extern void camDebugMsg(PVOID msg);
#endif
